Subject: Re: Compiling V, cygnus DLL
From: [email-masked] (Bruce Wampler)

13 Oct 1998 09:10:01 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Stipe Tolj <[email-masked]>
Cc: Mumit Khan <[email-masked]>,
        Alain CULOS <[email-masked]>, cygwin <[email-masked]>

The V IDE in V release 1.20 is far from perfect. I'm working on
getting a new  version released as a stand alone (it uses parts of
V from 1.21, which is not ready yet). I'm trying very hard to get it
to work with both Cygwin and mingw32 (with both gcc and egcs).

The make vs gmake has to do with trying to keep V compatible with
at least 6 different Windows C++ compilers, each with their own
make called make (this relates to V, not V IDE, but on my machine
they share the same build environment....). I think I will need to
use an environment variable for things like where g++/egcs is,
what make is called, etc.

I'll post a note when a binary is available. It is getting better.

Stipe Tolj wrote:

> > Dr. Wampler also has the beginning of a nice IDE for mingw32/cygwin32,
> > and it's released under the GPL as a plus.
>
> But isn't "gmake" compiled in for the "make" button. Even if I changed this within the
> source the application could not call make, there was some strange error, something
> like a missing character of make, the first one I suppose.
>
> Have you tried to use the make option of the IDE?!
>
> Regards,
> Stipe
>
> --
> Stipe Tolj <[email-masked]>
> Cygwin32 Porting Project
> Department of Economical Computer Science
> University of Cologne, Germany
> http://www-public.rz.uni-duesseldorf.de/~tolj
>
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".

--

Bruce E. Wampler, Ph.D.

Author of the V C++ GUI Framework

e-mail: mailto:[email-masked]
web:    http://www.objectcentral.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".